com.google.common.cache

## Class CacheLoader.InvalidCacheLoadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.common.cache.CacheLoader.InvalidCacheLoadException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    CacheLoader<K,V>

      public static final class CacheLoader.InvalidCacheLoadException
      extends java.lang.RuntimeException

  Thrown to indicate that an invalid response was returned from a call to `CacheLoader`.
  Since:
    11.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheLoader.InvalidCacheLoadException(java.lang.String message)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheLoader.InvalidCacheLoadException

          public CacheLoader.InvalidCacheLoadException(java.lang.String message)